//
//  Contact.swift
//  PhoneBook
//
//  Created by Santiago Pavón Gómez on 30/11/16.
//  Copyright © 2016 UPM. All rights reserved.
//

import Foundation

class Contact: NSObject, NSCoding {
    
    var name: String
    var address: String
    var phone: String
    
    init(name: String, address: String, phone: String) {
        self.name    = name
        self.address = address
        self.phone   = phone
    }
    
    required init?(coder aDecoder: NSCoder) {
        
        // Decodificar las propiedades de nuestra clase.
        name = aDecoder.decodeObject(forKey: "name") as? String ?? ""
        address = aDecoder.decodeObject(forKey: "address") as? String ?? ""
        phone = aDecoder.decodeObject(forKey: "phone") as? String ?? ""

        super.init()

    }
    
    func encode(with aCoder: NSCoder) {
        
        // Codificar las propiedades de nuestra clase.
        aCoder.encode(name, forKey: "name")
        aCoder.encode(address, forKey: "address")
        aCoder.encode(phone, forKey: "phone")
    }
}









