//
//  EditContactTableViewController.swift
//  PhoneBook
//
//  Created by Santiago Pavón Gómez on 30/11/16.
//  Copyright © 2016 UPM. All rights reserved.
//

import UIKit

class EditContactTableViewController: UITableViewController {

    // Contacto a editar.
    var contact: Contact?
    
    @IBOutlet weak var nameTextField: UITextField!
    @IBOutlet weak var addressTextField: UITextField!
    @IBOutlet weak var phoneTextField: UITextField!
    
    override func viewDidLoad() {
        super.viewDidLoad()

        // Uncomment the following line to preserve selection between presentations
        // self.clearsSelectionOnViewWillAppear = false

        // Uncomment the following line to display an Edit button in the navigation bar for this view controller.
        // self.navigationItem.rightBarButtonItem = self.editButtonItem()
        
        nameTextField.text = contact?.name
        addressTextField.text = contact?.address
        phoneTextField.text = contact?.phone
        
        nameTextField.becomeFirstResponder()
    }

    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
        // Dispose of any resources that can be recreated.
    }

    
    @IBAction func returnPressed(_ sender: UITextField) {
   
        if sender == nameTextField {
            addressTextField.becomeFirstResponder()
        } else if sender == addressTextField {
            phoneTextField.becomeFirstResponder()
        }
    }
    
    
    
    // MARK: - Table view delegate

    override func tableView(_ tableView: UITableView, didSelectRowAt indexPath: IndexPath) {
        
        switch indexPath.section {
        case 0:
            nameTextField.becomeFirstResponder()
        case 1:
            addressTextField.becomeFirstResponder()
        case 2:
            phoneTextField.becomeFirstResponder()
        default:
            break
        }
    }
    
    
    // MARK: - Table view data source


    /*
    // Override to support conditional editing of the table view.
    override func tableView(_ tableView: UITableView, canEditRowAt indexPath: IndexPath) -> Bool {
        // Return false if you do not want the specified item to be editable.
        return true
    }
    */

    /*
    // Override to support editing the table view.
    override func tableView(_ tableView: UITableView, commit editingStyle: UITableViewCellEditingStyle, forRowAt indexPath: IndexPath) {
        if editingStyle == .delete {
            // Delete the row from the data source
            tableView.deleteRows(at: [indexPath], with: .fade)
        } else if editingStyle == .insert {
            // Create a new instance of the appropriate class, insert it into the array, and add a new row to the table view
        }    
    }
    */

    /*
    // Override to support rearranging the table view.
    override func tableView(_ tableView: UITableView, moveRowAt fromIndexPath: IndexPath, to: IndexPath) {

    }
    */

    /*
    // Override to support conditional rearranging of the table view.
    override func tableView(_ tableView: UITableView, canMoveRowAt indexPath: IndexPath) -> Bool {
        // Return false if you do not want the item to be re-orderable.
        return true
    }
    */

    // MARK: - Navigation

    override func prepare(for segue: UIStoryboardSegue, sender: Any?) {
        
        if segue.identifier == "Save Contact" {
            contact?.name    = nameTextField.text!
            contact?.address = addressTextField.text!
            contact?.phone   = phoneTextField.text!
        }
    }

}
